Get document
GET
/v1/attachments/{id}Requires one ofdocuments:readread:ledger
Path parameters
- Attachment id:
idfrom GET /v1/attachments, or attachment_id from GET /v1/ledger-entries
Errors
401Invalid or missing authentication403Missing scope, or the company is archived404The resource does not exist in this company429Rate limit exceeded500Internal Server Error
Every error has the same shape. See Errors.
curl https://api.numina.app/v1/attachments/550e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer numi_YOUR_API_KEY"const response = await fetch("https://api.numina.app/v1/attachments/550e8400-e29b-41d4-a716-446655440000", {
method: "GET",
headers: {
Authorization: `Bearer ${process.env.NUMINA_API_KEY}`,
},
});
const data = await response.json();import os
import requests
response = requests.get(
"https://api.numina.app/v1/attachments/550e8400-e29b-41d4-a716-446655440000",
headers={
"Authorization": f"Bearer {os.environ['NUMINA_API_KEY']}",
},
)
data = response.json()Response
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"file_name": "string",
"status": "uploaded",
"created_at": "string",
"attachment_number": 185,
"year": "2026",
"is_empty": false,
"file_count": 0,
"booked_accounting_year": "2026",
"content_sha256": "string",
"journal_entry_ids": [
"550e8400-e29b-41d4-a716-446655440000"
]
}